Page MenuHomePhabricator

Create a new user preference for Compact Language Links
Closed, ResolvedPublic

Description

Compact language links are going out of Beta. A new user preference must be created for this, which won’t be based on the BetaFeatures conventions. It will reside in the Appearance tab in the Language section (to be created).

Create a new configuration variable to enable CLS as beta feature or not. Current configuration variable for compact language links is confusing and used for some other purposes.

Details

Related Gerrit Patches:
mediawiki/extensions/UniversalLanguageSelector : masterIntroduce a preference to disable compact language links

Event Timeline

Amire80 created this task.Apr 19 2016, 11:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 19 2016, 11:47 AM

This feature request lacks a use case.

Current preference for compact language links is confusing and used for some other purposes.

Do you mean the current configuration variable?

Nemo_bis renamed this task from Create a new user preference for Companct Language Links to Create a new user preference for Compact Language Links.Apr 20 2016, 6:06 AM

Change 286583 had a related patch set uploaded (by Santhosh):
Introduce a preference to disable compact language links

https://gerrit.wikimedia.org/r/286583

santhosh claimed this task.
santhosh updated the task description. (Show Details)
santhosh added a subscriber: Pavan_santhosh.s.
santhosh removed a subscriber: Pavan_santhosh.s.

Change 286583 merged by jenkins-bot:
Introduce a preference to disable compact language links

https://gerrit.wikimedia.org/r/286583

Arrbee moved this task from Backlog to QA on the Language-Q4-2016-Sprint 3 board.May 17 2016, 7:25 AM

This is in Beta/testwikis, so can be closed.

Arrbee moved this task from QA to Done on the Language-Q4-2016-Sprint 3 board.May 30 2016, 7:08 AM
Arrbee closed this task as Resolved.May 31 2016, 6:57 AM